import { pogo, serve } from "../deps.ts";
import routes from "./generated/routes.ts"
import domain from "../utils/middleware/domain.ts";

const env = {
    port: Number(Deno.env.get("POGO_PORT")) || 3000,
}

const server = pogo.server({
    port: env.port,
    hostname: "0.0.0.0"
})

server.router.get('/static/{file*}', (r, h) => {
    return h.directory("./src/static/")
})


routes.forEach(route => {
    server.route({
        method: route.method, handler: (r, h) => {
            if (!route.domains) route.domains = ["*"]
            return domain({ r, h }, route.domains, route.handler)
        }, path: route.route
    })
})

console.log(`Dreamland (should be) online on 0.0.0.0:${env.port}`)

export default server